Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon
Class Prefs

    java.lang.Object
      |
      +--swing.addon.Prefs

public class Prefs
extends java.lang.Object

Method Summary
`static void` | `add(java.lang.String name, java.lang.Object object)`
`static javax.swing.border.Border` | `getBorder()`
`static java.awt.Color` | `getCaretColor()`
`javax.swing.border.Border` | `getDefaultBorder()`
`static java.awt.Color` | `getDefaultCaretColor()`
`static java.awt.Font` | `getDefaultFixedFont()`
`static javax.swing.border.Border` | `getDefaultFrameBorder()`
`static int` | `getDefaultFrameSpace()`
`static java.awt.Color` | `getDefaultHighlightColor()`
`static java.awt.Color` | `getDefaultHighlightTextColor()`
`static java.awt.Font` | `getDefaultLargeFont()`
`static java.lang.String` | `getDefaultLookAndFeel()`
`static java.awt.Font` | `getDefaultNormalFont()`
`static int` | `getDefaultObjectSpace()`
`static boolean` | `getDefaultShowToolTips()`
`static java.awt.Font` | `getDefaultSmallFont()`
`static java.lang.String` | `getDefaultTimeZone()`
`static boolean` | `getDefaultUseIconsInTextButtons()`
`static java.awt.Font` | `getFixedFont()`
`static javax.swing.border.Border` | `getFrameBorder()`
`static int` | `getFrameSpace()`
`static java.awt.Color` | `getHighlightColor()`
`static java.awt.Color` | `getHighlightTextColor()`
`static javax.swing.Icon` | `getIcon(java.lang.Class baseClass, java.lang.String iconName)`
`static javax.swing.Icon` | `getIcon(java.lang.String iconName)`
`static java.awt.Font` | `getLargeFont()`
`static javax.swing.Icon` | `getLocalizedIcon(java.lang.String iconName)`
`static java.lang.String` | `getLookAndFeel()`
`static java.awt.Cursor` | `getNormalCursor()`
`static java.awt.Font` | `getNormalFont()`
`static int` | `getObjectSpace()`
`static java.util.Properties` | `getProperties()`
`static java.lang.String` | `getResourceString(java.lang.String id)`
`static java.lang.String` | `getResourceString(java.lang.String id, java.lang.String arg1)`
`static java.lang.String` | `getResourceString(java.lang.String id, java.lang.String arg1, java.lang.String arg2)`
`static boolean` | `getShowToolTips()`
`static java.awt.Font` | `getSmallFont()`
`static java.lang.String` | `getTimeZone()`
`static boolean` | `getUseIconsInTextButtons()`
`static java.awt.Cursor` | `getWaitCursor()`
`static void` | `init(java.lang.String text)`
`static void` | `init(java.lang.String text, javax.swing.Icon image)`
`static void` | `init(java.lang.String text, javax.swing.Icon image, boolean showFrame)`
`static void` | `init(java.lang.String text, javax.swing.Icon image, boolean showFrame, boolean showMessages)`
`static boolean` | `isIconAvailable(java.lang.Class baseClass, java.lang.String iconName)`
`static boolean` | `isIconAvailable(java.lang.String iconName)`
`static boolean` | `isWindowsSystem()`
`static void` | `main(java.lang.String[] args)`
`static void` | `openWindows()`
`static void` | `putProperty(java.lang.String property, java.lang.Object value)`
`static void` | `save()`
`static void` | `savePrefs()`
`static void` | `setInitializerMessage(java.lang.String text)`
`static void` | `snapshot()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### add

    public static final void add(java.lang.String name,
                                 java.lang.Object object)

### getBorder

    public static javax.swing.border.Border getBorder()

### getCaretColor

    public static java.awt.Color getCaretColor()

### getDefaultBorder

    public javax.swing.border.Border getDefaultBorder()

### getDefaultCaretColor

    public static java.awt.Color getDefaultCaretColor()

### getDefaultFixedFont

    public static java.awt.Font getDefaultFixedFont()

### getDefaultFrameBorder

    public static javax.swing.border.Border getDefaultFrameBorder()

### getDefaultFrameSpace

    public static int getDefaultFrameSpace()

### getDefaultHighlightColor

    public static java.awt.Color getDefaultHighlightColor()

### getDefaultHighlightTextColor

    public static java.awt.Color getDefaultHighlightTextColor()

### getDefaultLargeFont

    public static java.awt.Font getDefaultLargeFont()

### getDefaultLookAndFeel

    public static java.lang.String getDefaultLookAndFeel()

### getDefaultNormalFont

    public static java.awt.Font getDefaultNormalFont()

### getDefaultObjectSpace

    public static int getDefaultObjectSpace()

### getDefaultShowToolTips

    public static boolean getDefaultShowToolTips()

### getDefaultSmallFont

    public static java.awt.Font getDefaultSmallFont()

### getDefaultTimeZone

    public static java.lang.String getDefaultTimeZone()

### getDefaultUseIconsInTextButtons

    public static boolean getDefaultUseIconsInTextButtons()

### getFixedFont

    public static java.awt.Font getFixedFont()

### getFrameBorder

    public static javax.swing.border.Border getFrameBorder()

### getFrameSpace

    public static int getFrameSpace()

### getHighlightColor

    public static java.awt.Color getHighlightColor()

### getHighlightTextColor

    public static java.awt.Color getHighlightTextColor()

### getIcon

    public static javax.swing.Icon getIcon(java.lang.String iconName)

### getIcon

    public static javax.swing.Icon getIcon(java.lang.Class baseClass,
                                           java.lang.String iconName)

### getLargeFont

    public static java.awt.Font getLargeFont()

### getLocalizedIcon

    public static javax.swing.Icon getLocalizedIcon(java.lang.String iconName)

### getLookAndFeel

    public static java.lang.String getLookAndFeel()

### getNormalCursor

    public static java.awt.Cursor getNormalCursor()

### getNormalFont

    public static java.awt.Font getNormalFont()

### getObjectSpace

    public static int getObjectSpace()

### getProperties

    public static final java.util.Properties getProperties()

### getResourceString

    public static java.lang.String getResourceString(java.lang.String id)

### getResourceString

    public static java.lang.String getResourceString(java.lang.String id,
                                                     java.lang.String arg1)

### getResourceString

    public static java.lang.String getResourceString(java.lang.String id,
                                                     java.lang.String arg1,
                                                     java.lang.String arg2)

### getShowToolTips

    public static boolean getShowToolTips()

### getSmallFont

    public static java.awt.Font getSmallFont()

### getTimeZone

    public static java.lang.String getTimeZone()

### getUseIconsInTextButtons

    public static boolean getUseIconsInTextButtons()

### getWaitCursor

    public static java.awt.Cursor getWaitCursor()

### init

    public static final void init(java.lang.String text)

### init

    public static final void init(java.lang.String text,
                                  javax.swing.Icon image)

### init

    public static final void init(java.lang.String text,
                                  javax.swing.Icon image,
                                  boolean showFrame)

### init

    public static final void init(java.lang.String text,
                                  javax.swing.Icon image,
                                  boolean showFrame,
                                  boolean showMessages)

### isIconAvailable

    public static boolean isIconAvailable(java.lang.String iconName)

### isIconAvailable

    public static boolean isIconAvailable(java.lang.Class baseClass,
                                          java.lang.String iconName)

### isWindowsSystem

    public static boolean isWindowsSystem()

### main

    public static void main(java.lang.String[] args)

### openWindows

    public static void openWindows()

### putProperty

    public static void putProperty(java.lang.String property,
                                   java.lang.Object value)

### save

    public static final void save()

### savePrefs

    public static void savePrefs()

### setInitializerMessage

    public static void setInitializerMessage(java.lang.String text)

### snapshot

    public static final void snapshot()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD